gmp_sub
gmp_xor
GMP Functions
PHP Manual

# gmp_testbit

(PHP 5 >= 5.3.0)

gmp_testbit — Tests if a bit is set

### Description

bool gmp_testbit ( resource `$a` , int `$index` )

Tests if the specified bit is set.

### Parameters

`a`

  It can be either a GMP number resource , or a numeric string given that it is possible to convert the latter to a number.

`index`

  The bit to test

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Errors/Exceptions

`E_WARNING` is issued when `index` is less than zero.

### Examples

Example #1 gmp_testbit() example

`<?php
$n = gmp_init("1000000");
var_dump(gmp_testbit($n, 1));
gmp_setbit($n, 1);
var_dump(gmp_testbit($n, 1));
?>`

The above example will output:

    bool(false)
    bool(true)

### See Also

- gmp_setbit() - Set bit
- gmp_clrbit() - Clear bit

gmp_sub
gmp_xor
GMP Functions
PHP Manual